"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deployIntegrationInstance = void 0;
const tslib_1 = require("tslib");
const integration_instance_query_1 = require("../integration-hub-queries/integration-instance-query");
function deployIntegrationInstance(urqlClient, vars) {
    var _a, _b, _c, _d;
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const response = yield gqlDeployIntegrationInstance(urqlClient, vars);
        if (response.data && ((_a = response.data) === null || _a === void 0 ? void 0 : _a.deployInstance)) {
            const deployedInstance = (_b = response.data) === null || _b === void 0 ? void 0 : _b.deployInstance;
            return {
                success: true,
                data: deployedInstance,
            };
        }
        else {
            return {
                success: false,
                error: new Error(`${(_c = response.error) === null || _c === void 0 ? void 0 : _c.name} - ${(_d = response.error) === null || _d === void 0 ? void 0 : _d.message}`),
            };
        }
    });
}
exports.deployIntegrationInstance = deployIntegrationInstance;
function gqlDeployIntegrationInstance(urqlClient, vars) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return urqlClient
            .mutation(integration_instance_query_1.DeployIntegrationInstanceDocument, vars)
            .toPromise();
    });
}
