"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIntegration = void 0;
const tslib_1 = require("tslib");
const integration_query_1 = require("../integration-hub-queries/integration-query");
const helpers_1 = require("../helpers");
function getIntegration(urqlClient, vars) {
    var _a;
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        try {
            const response = yield gqlGetIntegration(urqlClient, vars);
            const integrationData = (_a = response.data) === null || _a === void 0 ? void 0 : _a.integration;
            if (integrationData !== null && integrationData !== undefined) {
                return {
                    success: true,
                    data: integrationData,
                };
            }
            return (0, helpers_1.processAsIntegrationHubErrorResponse)(response);
        }
        catch (err) {
            return {
                success: false,
                error: (0, helpers_1.handleCatchError)(err),
            };
        }
    });
}
exports.getIntegration = getIntegration;
function gqlGetIntegration(urqlClient, vars) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return urqlClient.query(integration_query_1.GetIntegrationDocument, vars).toPromise();
    });
}
