import { __awaiter } from "tslib";
import { DeployIntegrationInstanceDocument } from "../integration-hub-queries/integration-instance-query";
export function deployIntegrationInstance(urqlClient, vars) {
    var _a, _b, _c, _d;
    return __awaiter(this, void 0, void 0, function* () {
        const response = yield gqlDeployIntegrationInstance(urqlClient, vars);
        if (response.data && ((_a = response.data) === null || _a === void 0 ? void 0 : _a.deployInstance)) {
            const deployedInstance = (_b = response.data) === null || _b === void 0 ? void 0 : _b.deployInstance;
            return {
                success: true,
                data: deployedInstance,
            };
        }
        else {
            return {
                success: false,
                error: new Error(`${(_c = response.error) === null || _c === void 0 ? void 0 : _c.name} - ${(_d = response.error) === null || _d === void 0 ? void 0 : _d.message}`),
            };
        }
    });
}
function gqlDeployIntegrationInstance(urqlClient, vars) {
    return __awaiter(this, void 0, void 0, function* () {
        return urqlClient
            .mutation(DeployIntegrationInstanceDocument, vars)
            .toPromise();
    });
}
