import { __awaiter } from "tslib";
export function checkGateway(client, gatewaySlug) {
    return __awaiter(this, void 0, void 0, function* () {
        const gateways = yield client.Gateways.All();
        const epPaymentGateway = gateways.data.find((x) => x.slug === gatewaySlug);
        if (epPaymentGateway && epPaymentGateway.enabled) {
            return {
                success: true,
                data: epPaymentGateway,
            };
        }
        return {
            success: false,
            error: new Error(`${gatewaySlug} gateway is not enabled`),
        };
    });
}
